## AsChecksum AsChecksum — Object representing a single checksum used in a release. |

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AS_TYPE_CHECKSUM
AsChecksum * | as_checksum_new ()
AsChecksumTarget | as_checksum_target_from_string ()
const gchar * | as_checksum_target_to_string ()
const gchar * | as_checksum_get_filename ()
const gchar * | as_checksum_get_value ()
GChecksumType | as_checksum_get_kind ()
AsChecksumTarget | as_checksum_get_target ()
void | as_checksum_set_filename ()
void | as_checksum_set_value ()
void | as_checksum_set_kind ()
void | as_checksum_set_target ()

## Types and Values

struct | AsChecksumClass
enum | AsChecksumTarget
| AsChecksum

## Object Hierarchy

        GObject
        ╰── AsChecksum

## Includes

    #include <appstream-glib.h>

## Description

Checksums are attached to releases.

See also: AsRelease

## Functions

### AS_TYPE_CHECKSUM

    #define AS_TYPE_CHECKSUM (as_checksum_get_type ())

### as_checksum_new ()

    AsChecksum *
    as_checksum_new (void);

Creates a new AsChecksum.

#### Returns

a AsChecksum.

[transfer full]

Since: 0.4.2

### as_checksum_target_from_string ()

    AsChecksumTarget
    as_checksum_target_from_string (const gchar *target);

Converts the text representation to an enumerated value.

#### Parameters

target | a source kind string |

#### Returns

A AsChecksumTarget, e.g. `AS_CHECKSUM_TARGET_CONTAINER`.

Since: 0.4.2

### as_checksum_target_to_string ()

    const gchar *
    as_checksum_target_to_string (AsChecksumTarget target);

Converts the enumerated value to an text representation.

#### Parameters

target | the AsChecksumTarget. |

#### Returns

string version of `target` , or `NULL` for unknown

Since: 0.4.2

### as_checksum_get_filename ()

    const gchar *
    as_checksum_get_filename (AsChecksum *checksum);

Gets the full qualified URL for the checksum, usually pointing at some mirror.

#### Parameters

checksum | a AsChecksum instance. |

#### Returns

URL

Since: 0.4.2

### as_checksum_get_value ()

    const gchar *
    as_checksum_get_value (AsChecksum *checksum);

Gets the suggested value the checksum, including file extension.

#### Parameters

checksum | a AsChecksum instance. |

#### Returns

filename

Since: 0.4.2

### as_checksum_get_kind ()

    GChecksumType
    as_checksum_get_kind (AsChecksum *checksum);

Gets the checksum kind.

#### Parameters

checksum | a AsChecksum instance. |

#### Returns

the GChecksumType

Since: 0.4.2

### as_checksum_get_target ()

    AsChecksumTarget
    as_checksum_get_target (AsChecksum *checksum);

Gets the checksum target.

#### Parameters

checksum | a AsChecksum instance. |

#### Returns

the GChecksumType

Since: 0.4.2

### as_checksum_set_filename ()

    void
    as_checksum_set_filename (AsChecksum *checksum,
                              const gchar *filename);

Sets the filename used to generate the checksum.

#### Parameters

checksum | a AsChecksum instance. |
filename | the URL. |

Since: 0.4.2

### as_checksum_set_value ()

    void
    as_checksum_set_value (AsChecksum *checksum,
                           const gchar *value);

Sets the checksum value filename.

#### Parameters

checksum | a AsChecksum instance. |
value | the new filename value. |

Since: 0.4.2

### as_checksum_set_kind ()

    void
    as_checksum_set_kind (AsChecksum *checksum,
                          GChecksumType kind);

Sets the checksum kind.

#### Parameters

checksum | a AsChecksum instance. |
kind | the GChecksumType, e.g. `G_CHECKSUM_SHA1`. |

Since: 0.4.2

### as_checksum_set_target ()

    void
    as_checksum_set_target (AsChecksum *checksum,
                            AsChecksumTarget target);

Sets the checksum target.

#### Parameters

checksum | a AsChecksum instance. |
target | the GChecksumType, e.g. `AS_CHECKSUM_TARGET_CONTAINER`. |

Since: 0.4.2

## Types and Values

### struct AsChecksumClass

    struct AsChecksumClass {
    	GObjectClass		parent_class;
    };

### enum AsChecksumTarget

The checksum target type.

#### Members

AS_CHECKSUM_TARGET_UNKNOWN | Unknown state |
AS_CHECKSUM_TARGET_CONTAINER | Container file, e.g. ".cab" |
AS_CHECKSUM_TARGET_CONTENT | Extracted file, e.g. ".bin" |

### AsChecksum

    typedef struct _AsChecksum AsChecksum;